#!/bin/sh

set -e

if [ -z "$2" ]; then
    echo "Takes an ircd-hybrid tarball from upstream and prepares a dfsg version"
    echo "Usage: $0 ircd-hybrid-x.y.z.tgz <n> (where n is the dfsg revision)";
    exit 1
fi

ORIG_FILE=$(realpath $1)
OUTPUT_DIR=$(pwd)

TEMP_DIR=$(mktemp -d)
cd $TEMP_DIR
tar zxf $ORIG_FILE
UNPACK_NAME=$(ls)
cd $UNPACK_NAME
rm doc/technical/rfc1459.txt \
   doc/technical/rfc2812.txt \
   doc/technical/rfc2813.txt
cd ..
mv $UNPACK_NAME $UNPACK_NAME.dfsg.$2
NEWTARBALL_NAME=$(echo $UNPACK_NAME+dfsg.$2.orig.tar.gz | sed -e 's/-/_/2')
test -e $OUTPUT_DIR/$NEWTARBALL_NAME && {
    echo "Destination file $OUTPUT_DIR/$NEWTARBALL_NAME already exists!"
    cd $OUTPUT_DIR
    rm -rf $TEMP_DIR
    exit 1
}
tar zcf $OUTPUT_DIR/$NEWTARBALL_NAME $UNPACK_NAME.dfsg.$2
cd $OUTPUT_DIR
rm -rf $TEMP_DIR
